Bullet Collision Detection & Physics Library: Bullet::btTypedConstraintFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btTypedConstraintFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btTypedConstraintFloatData:
[legend]

## Public Attributes
btRigidBodyFloatData * | m_rbA
btRigidBodyFloatData * | m_rbB
char * | m_name
int | m_objectType
int | m_userConstraintType
int | m_userConstraintId
int | m_needsFeedback
float | m_appliedImpulse
float | m_dbgDrawSize
int | m_disableCollisionsBetweenLinkedBodies
int | m_overrideNumSolverIterations
float | m_breakingImpulseThreshold
int | m_isEnabled

## Detailed Description

Definition at line 851 of file bullet.h.

## Member Data Documentation

## ◆ m_appliedImpulse

float Bullet::btTypedConstraintFloatData::m_appliedImpulse

Definition at line 861 of file bullet.h.

## ◆ m_breakingImpulseThreshold

float Bullet::btTypedConstraintFloatData::m_breakingImpulseThreshold

Definition at line 865 of file bullet.h.

## ◆ m_dbgDrawSize

float Bullet::btTypedConstraintFloatData::m_dbgDrawSize

Definition at line 862 of file bullet.h.

## ◆ m_disableCollisionsBetweenLinkedBodies

int Bullet::btTypedConstraintFloatData::m_disableCollisionsBetweenLinkedBodies

Definition at line 863 of file bullet.h.

## ◆ m_isEnabled

int Bullet::btTypedConstraintFloatData::m_isEnabled

Definition at line 866 of file bullet.h.

## ◆ m_name

char* Bullet::btTypedConstraintFloatData::m_name

Definition at line 856 of file bullet.h.

## ◆ m_needsFeedback

int Bullet::btTypedConstraintFloatData::m_needsFeedback

Definition at line 860 of file bullet.h.

## ◆ m_objectType

int Bullet::btTypedConstraintFloatData::m_objectType

Definition at line 857 of file bullet.h.

## ◆ m_overrideNumSolverIterations

int Bullet::btTypedConstraintFloatData::m_overrideNumSolverIterations

Definition at line 864 of file bullet.h.

## ◆ m_rbA

btRigidBodyFloatData* Bullet::btTypedConstraintFloatData::m_rbA

Definition at line 854 of file bullet.h.

## ◆ m_rbB

btRigidBodyFloatData* Bullet::btTypedConstraintFloatData::m_rbB

Definition at line 855 of file bullet.h.

## ◆ m_userConstraintId

int Bullet::btTypedConstraintFloatData::m_userConstraintId

Definition at line 859 of file bullet.h.

## ◆ m_userConstraintType

int Bullet::btTypedConstraintFloatData::m_userConstraintType

Definition at line 858 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h